# Create a tax location Create a tax location to use in calculating taxes for a service, ticket, or other type of product. The resulting object contains the id, address, name, description, and current operational status of the tax location. ## Returns A `TaxLocation` object. ## Parameters - `address` (object, required) The physical address of the tax location. - `address.country` (string, required) Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)). - `address.city` (string, optional) City, district, suburb, town, or village. - `address.line1` (string, optional) Address line 1, such as the street, PO Box, or company name. - `address.line2` (string, optional) Address line 2, such as the apartment, suite, unit, or building. - `address.postal_code` (string, required for US addresses) ZIP or postal code. - `address.state` (string, optional) State/province as an [ISO 3166-2](https://en.wikipedia.org/wiki/ISO_3166-2) subdivision code, without country prefix, such as “NY” or “TX”. - `type` (enum, required) The type of tax location. The only supported value is “performance”. Possible enum values: - `performance` Calculates the tax of the products or services based on the location of the performance or event, rather than the customer’s address. - `description` (string, optional) Details to identify the tax location by its venue, types of events held, or available services, such as “A spacious auditorium suitable for large concerts and events.”. ```curl curl https://api.stripe.com/v1/tax/locations \ -u "<>" \ -H "Stripe-Version: 2026-04-22.preview" \ -d type=performance \ --data-urlencode "address[line1]=Folsom and, Pearl St" \ -d "address[city]=Boulder" \ -d "address[state]=CO" \ -d "address[postal_code]=80302" \ -d "address[country]=US" \ -d "description=Greenleaf Park" ``` ### Response ```json { "id": "taxloc_1Rb0Af09x9VUP01myZ3aqF1z", "object": "tax.location", "address": { "city": "Boulder", "country": "US", "line1": "Folsom and, Pearl St", "line2": null, "postal_code": "80302", "state": "CO" }, "description": "Greenleaf Park", "type": "performance" } ```